"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createMiddlewareProxy = createMiddlewareProxy;
function createMiddlewareProxy() {
    var middlewareProxy = function middlewareProxy(store) {
        return function (next) {
            return function (action) {
                return middlewareProxy.target == null ? next(action) : middlewareProxy.target(store)(next)(action);
            };
        };
    };
    return middlewareProxy;
}